Package org.mariadb.jdbc.message.server.util

## Class ServerVersionUtility

- java.lang.Object
- - org.mariadb.jdbc.util.Version
  - - org.mariadb.jdbc.message.server.util.ServerVersionUtility

All Implemented Interfaces:
  `org.mariadb.jdbc.client.ServerVersion`

    public final class ServerVersionUtility
    extends org.mariadb.jdbc.util.Version
    implements org.mariadb.jdbc.client.ServerVersion

### Constructor Summary

Constructors
`ServerVersionUtility​(String serverVersion, boolean mariaDBServer)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isMariaDBServer()`

### Methods inherited from class org.mariadb.jdbc.util.Version

`getMajorVersion, getMinorVersion, getPatchVersion, getQualifier, getVersion, versionGreaterOrEqual`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.mariadb.jdbc.client.ServerVersion

`getMajorVersion, getMinorVersion, getPatchVersion, getQualifier, getVersion, versionGreaterOrEqual`

### Constructor Detail

#### ServerVersionUtility

    public ServerVersionUtility​(String serverVersion,
                                boolean mariaDBServer)

### Method Detail

#### isMariaDBServer

    public boolean isMariaDBServer()

Specified by:
  `isMariaDBServer` in interface `org.mariadb.jdbc.client.ServerVersion`